org.licas.service.sci

## Class AiConfig

- java.lang.Object
- - org.licas.service.sci.AiConfig

-     public class AiConfig
      extends java.lang.Object

  This class stores a description of what heuristic and metric options are allowed and can parse a String-based description to determine what classes if any should be used.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AiConfig()` Creates a new instance of AiConfig

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `addAiMethod(java.lang.String currentAiConfig, java.lang.String aiMethod)` Return true if parameter is a valid link method.
    `static java.lang.String` | `fixLinkMethod(java.lang.String aiMethod)` Make sure the link specification has the appropriate start and end characters.
    `static boolean` | `isClusterMethod(java.lang.String aiMethod)` Return true if a clustering method is indicated.
    `static boolean` | `isCompleteCluster(java.lang.String aiMethod)` Return true if a complete link clustering method is indicated.
    `static boolean` | `isContainsCluster(java.lang.String aiMethod)` Return true if a contains link clustering method is indicated.
    `static boolean` | `isSingleCluster(java.lang.String aiMethod)` Return true if a single link clustering method is indicated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AiConfig

          public AiConfig()

      Creates a new instance of AiConfig

  - ### Method Detail

    - #### isClusterMethod

          public static boolean isClusterMethod(java.lang.String aiMethod)

      Return true if a clustering method is indicated.
      Parameters:
        `aiMethod` - a string description of the ai method.
      Returns:
        true if a clustering method is indicated.

    - #### isContainsCluster

          public static boolean isContainsCluster(java.lang.String aiMethod)

      Return true if a contains link clustering method is indicated.
      Parameters:
        `aiMethod` - a string description of the ai method.
      Returns:
        true if a clustering method is indicated.

    - #### isCompleteCluster

          public static boolean isCompleteCluster(java.lang.String aiMethod)

      Return true if a complete link clustering method is indicated.
      Parameters:
        `aiMethod` - a string description of the ai method.
      Returns:
        true if a clustering method is indicated.

    - #### isSingleCluster

          public static boolean isSingleCluster(java.lang.String aiMethod)

      Return true if a single link clustering method is indicated.
      Parameters:
        `aiMethod` - a string description of the ai method.
      Returns:
        true if a clustering method is indicated.

    - #### addAiMethod

          public static java.lang.String addAiMethod(java.lang.String currentAiConfig,
                                                     java.lang.String aiMethod)

      Return true if parameter is a valid link method.
      Parameters:
        `currentAiConfig` - the current ai configuration, null if no config yet.
        `aiMethod` - the new ai method to add.
      Returns:
        the ai configuration with the new link type added.

    - #### fixLinkMethod

          public static java.lang.String fixLinkMethod(java.lang.String aiMethod)

      Make sure the link specification has the appropriate start and end characters.
      Parameters:
        `aiMethod` - the current ai specification.
      Returns:
        the fixed link specification.